Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How 2 keep slotted installs out of emerge -cp list?[Solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
CaptainBlood
Guru
Guru


Joined: 24 Jan 2010
Posts: 342

PostPosted: Wed Dec 14, 2011 3:39 pm    Post subject: How 2 keep slotted installs out of emerge -cp list?[Solved] Reply with quote

Hi dear all,
I've recently installed latest binutils (2.22-r1 I believe).
It so happened that at least 1 package doesn't install yet (nm-applet if I'm not wrong) with that new binutils package.
So I have to keep former stable binutils installed for a while still.
Code:
emerge -cp
always propose to remove oldest package.
Code:
--exclude
parameter is a good remedy, but has to be remembered each time and instanciated for each concerned package.

Is there any way to have
Code:
emerge -c
command keeping many slotted packages without the use of
Code:
--exclude
parameter?

Thanks for your attention.


Last edited by CaptainBlood on Wed Dec 14, 2011 8:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4141

PostPosted: Wed Dec 14, 2011 4:03 pm    Post subject: Reply with quote

depclean remove obsolete package, if you wish to teach your portage what is obsolete and what is not, your world file is there for that.

So your solve is just that, add the package-version to your world file and they won't be considered anymore as obsolete/removable.
This is generally seen by users strike by depclean removing their kernel (they emerge gentoo-sources but not gentoo-sources-2.3.0 and so depclean will think gentoo-sources-2.3.1 install mean gentoo-sources-2.3.0 is now ok to be remove)
Back to top
View user's profile Send private message
Etal
Veteran
Veteran


Joined: 15 Jul 2005
Posts: 1640

PostPosted: Wed Dec 14, 2011 4:22 pm    Post subject: Reply with quote

You can do "emerge --noreplace foobar:1.2" where "1.2" is the slot number. That will add that slotted version of foobar to the world file, as krinn said.
_________________
“And even in authoritarian countries, information networks are helping people discover new facts and making governments more accountable.”– Hillary Clinton, Jan. 21, 2010
Back to top
View user's profile Send private message
CaptainBlood
Guru
Guru


Joined: 24 Jan 2010
Posts: 342

PostPosted: Wed Dec 14, 2011 7:40 pm    Post subject: Reply with quote

Thanks to both of you. I'll give it a try.
I generally use
Code:
--noreplace
after I realized I have done an excessive cleanup of my world file.
I"m happy I've learned another purpose to it.

Thanks for your attention, interest and support.

EDIT : Actually for binutils I had to
Code:
emerge --noreplace sys-devel/binutils-2.21.1-r1
since I couldn't succeed with a :2.21 syntax as suggested.
new line in world file is as
Code:
sys-devel/binutils:x86_64-pc-linux-gnu-2.21.1
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum